Alokai

SapccApiGetFutureStocksListRequest

Request parameters for getFutureStocksList operation in SapccApi. SapccApiGetFutureStocksListRequest

interface SapccApiGetFutureStocksListRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly productCodes: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetFutureStocksList
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetFutureStocksList
productCodesRequiredstringProducts identifiers. {string} SapccApiGetFutureStocksList
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetFutureStocksList

On this page